import type { StyleValue, TdHTMLAttributes, ThHTMLAttributes } from 'vue';
import type ClassValue from './ClassValue';
import type LiteralUnion from './LiteralUnion';
import type ColorVariant from './ColorVariant';
interface TableFieldObject<T = Record<string, unknown>> {
    key: LiteralUnion<keyof T>;
    label?: string;
    headerTitle?: string;
    headerAbbr?: string;
    class?: ClassValue;
    formatter?: string | ((value: unknown, key?: string, item?: T) => string);
    sortable?: boolean;
    sortKey?: string;
    sortDirection?: string;
    sortByFormatted?: boolean;
    filterByFormatted?: boolean;
    tdClass?: ClassValue;
    thClass?: ClassValue;
    thStyle?: StyleValue;
    variant?: ColorVariant;
    tdAttr?: TdHTMLAttributes;
    thAttr?: ThHTMLAttributes;
    isRowHeader?: boolean;
    stickyColumn?: boolean;
}
export default TableFieldObject;
